<?php


return  
    [
        'model' => [
            'model' => \Crm\Advertisement\Models\Advertisement::class,
            'table' => 'crm_advertisement_advertisements',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'link',  'description',  'image',  'status',  'home',  'inner',  'top',  'bottom',  'left',  'right',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'advertisement/advertisement',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "link", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.link', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "image", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.image', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "home", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.home', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "inner", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.inner', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "top", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.top', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bottom", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.bottom', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "left", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.left', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "right", 
                "type" => "text", 
                "label" => 'advertisement::advertisement.label.right', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.name',
                "placeholder" => 'advertisement::advertisement.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'link',
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.link',
                "placeholder" => 'advertisement::advertisement.placeholder.link',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.description',
                "placeholder" => 'advertisement::advertisement.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'image',
                "element" => 'text',
                "type" => 'text',
                "label" => 'advertisement::advertisement.label.image',
                "placeholder" => 'advertisement::advertisement.placeholder.image',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'home',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.home',
                "placeholder" => 'advertisement::advertisement.placeholder.home',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'inner',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.inner',
                "placeholder" => 'advertisement::advertisement.placeholder.inner',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'top',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.top',
                "placeholder" => 'advertisement::advertisement.placeholder.top',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bottom',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.bottom',
                "placeholder" => 'advertisement::advertisement.placeholder.bottom',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'left',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.left',
                "placeholder" => 'advertisement::advertisement.placeholder.left',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'right',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'advertisement::advertisement.label.right',
                "placeholder" => 'advertisement::advertisement.placeholder.right',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'advertisement/advertisement/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'advertisement/advertisement/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'advertisement/advertisement',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'advertisement/advertisement',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'advertisement/advertisement',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'advertisement/advertisement',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'advertisement::advertisement.label.created_at',
            'name' => 'advertisement::advertisement.label.name',
            'status' => 'advertisement::advertisement.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "advertisement::advertisement.groups.main",
                'group' => "main.main",
                'title' => "advertisement::advertisement.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "advertisement::advertisement.groups.details",
                'group' => "main.details",
                'title' => "advertisement::advertisement.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "advertisement::advertisement.groups.images",
                'group' => "main.images",
                'title' => "advertisement::advertisement.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "advertisement::advertisement.groups.settings",
                'group' => "main.settings",
                'title' => "advertisement::advertisement.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Crm',
            'package' => 'Advertisement',
            'module' => 'Advertisement',
        ],

        
        
    ];
